/* Reset des marges et des espacements */
* {
    margin: 0;
    padding: 0;


}

body, h1, h2, h3, p, div, ul, li, button, input {
    margin: 0;
    padding: 0;
    border: 0;
    font: inherit;
    vertical-align: baseline;
    box-sizing: border-box;
}

/* Styles de base */
body {
    font-family: Arial, sans-serif;
    min-height: 100vh;
    margin: 0; /* Pour supprimer les marges par défaut du body */
    display: flex;
    flex-direction: column; /* Pour que le contenu s'étende sur toute la hauteur */
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1; /* Pour que le contenu s'étende sur toute la hauteur disponible */
    background-color: #071E26FF;

}

nav {
    padding: 2%;
    background-color: #071E26FF;
    display: flex;flex-direction: row;
    justify-content: space-between;
}

nav li {
    list-style: none;
}

h1 {
    color: white;
}

.chat-container {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 50%;
    padding: 2%;
    display: flex;
    flex-direction: column;
    top: 10%;
}

.chat-box {
    width: 100%;
    height: 150px;
    overflow-y: scroll;
    margin-bottom: 10px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.message {
    padding: 5px 10px;
    border-radius: 5px;
    margin-bottom: 5px;
}

.user {
    background-color: #e1f5fe;
    text-align: right;
}

.bot {
    background-color: #f5f5f5;
}

textarea[type="text"] {
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    flex-grow: 1;
    margin: 5%;
}

button {
    background-color: #2196F3;
    color: white;
    border: none;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
}

a{
    text-decoration: none;
    color: white;
}
.hidden {
    display: none;
}

@media screen and (max-width: 768px) {
    nav {
        flex-direction: column;
        align-items: center;
    }

    .chat-container {
        width: 90%;
        margin-top: 5%;
    }

    .chat-box {

        height: 250px;

    }

}

